PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures | Typedefs
Data Structures
PDL API Reference » SysPm (System Power Management)

## General Description

## Data Structures
struct | cy_stc_syspm_callback_params_t
| The structure contains syspm callback parameters. More...
struct | cy_stc_syspm_callback_t
| Structure with syspm callback configuration elements. More...
struct | cy_stc_syspm_retldo_params_t
| The structure contains syspm RETLDO configuration parameters. More...
struct | cy_stc_syspm_sramldo_params_t
| The structure contains syspm SRAMLDO configuration parameters. More...
struct | cy_stc_syspm_miscldo_params_t
| The structure contains syspm MISCLDO configuration parameters. More...
struct | cy_stc_syspm_warmboot_entrypoint_t
| The structure contains warmboot entry point struct used during DEEPSLEEP-RAM entry. More...
struct | cy_stc_syspm_core_buck_params_t
| The structure contains syspm core buck configuration parameters. More...
struct | cy_stc_syspm_sdr_params_t
| The structure contains syspm SDR0/SDR1(Step Down Regulator) LDO configuration parameters. More...
struct | cy_stc_syspm_hvldo_params_t
| The structure contains syspm HVLDO configuration parameters. More...
struct | cy_stc_syspm_extraReq_params_t
| The structure contains syspm Extra Requestor configuration parameters. More...

## Typedefs
typedef cy_en_syspm_status_t(* | Cy_SysPmCallback) (cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)
| The type for syspm callbacks.

## Data Structure Documentation

## ◆ cy_stc_syspm_callback_params_t

struct cy_stc_syspm_callback_params_t

Data Fields
void * | base | Base address of a HW instance, matches name of the driver in the API for the base address. Can be undefined if not required. Base address is not required for the SysPm driver as the device has only one set of power modes
void * | context | Context for the handler function. This item can be skipped if not required. Can be undefined if not required.

## ◆ cy_stc_syspm_callback_t

struct cy_stc_syspm_callback_t

Data Fields
Cy_SysPmCallback | callback | The callback handler function.
cy_en_syspm_callback_type_t | type | The callback type, see cy_en_syspm_callback_type_t.
uint32_t | skipMode | The mask of modes to be skipped during callback execution, see Defines to skip the callbacks modes. The corresponding callback mode won't execute if the appropriate define is set. These values can be ORed. If all modes are required to be executed this element should be equal to zero. Skipping unneeded callback modes speeds up power mode transitions by skipping unneeded operations.
cy_stc_syspm_callback_params_t * | callbackParams | The address of a cy_stc_syspm_callback_params_t, the callback is executed with these parameters.
struct cy_stc_syspm_callback * | prevItm | The previous list item. This element should not be defined, or defined as NULL. It is for internal usage to link this structure to the next registered structure. It will be updated during callback registration. Do not modify this element at run-time.
struct cy_stc_syspm_callback * | nextItm | The next list item. This element should not be defined, or defined as NULL. It is for internal usage to link this structure to the previous registered structure. It will be updated during callback registration. Do not modify this element at run-time.
uint8_t | order | Holds the callback execution order value. Range: 0-255. While entering low power mode, callbacks with lower order values are executed first. While exiting low power mode, the callbacks are executed in the opposite order. Callbacks with the same order value are executed in the order they are registered in the application.

## ◆ cy_stc_syspm_retldo_params_t

struct cy_stc_syspm_retldo_params_t

Data Fields
cy_en_syspm_retldo_voltage_t | activeVoltSel | RETLDO Voltage Select cy_en_syspm_retldo_voltage_t.
cy_en_syspm_retldo_gain_t | activeGain | RETLDO Gain Select Select cy_en_syspm_retldo_voltage_t.
cy_en_syspm_retldo_voltage_t | deepsleepVoltSel | RETLDO Deepsleep Voltage Select cy_en_syspm_retldo_voltage_t.
cy_en_syspm_retldo_gain_t | deepsleepGain | RETLDO Deepsleep Gain Select cy_en_syspm_retldo_voltage_t.

## ◆ cy_stc_syspm_sramldo_params_t

struct cy_stc_syspm_sramldo_params_t

Data Fields
bool | sramLdoEnable | SRAMLDO Enable/Disable.
bool | deepsleepSramLdoEnable | SRAMLDO Enable/Disable during deepsleep.
cy_en_syspm_sramldo_voltage_t | sramLdoVoltSel | SRAMLDO Voltage Select cy_en_syspm_sramldo_voltage_t.

## ◆ cy_stc_syspm_miscldo_params_t

struct cy_stc_syspm_miscldo_params_t

Data Fields
bool | miscLdoEnable | MISCLDO Enable/Disable.
cy_en_syspm_miscldo_mode_t | miscLdoMode | MISCLDO mode select , VCCACT or VOUT.
cy_en_syspm_miscldo_voltage_t | miscLdoVoltSel | MISCLDO Voltage Select cy_en_syspm_miscldo_voltage_t.
cy_en_syspm_miscldo_vccact_trim_t | miscLdoVaccActTrimSel | MISCLDO VCCACT Voltage Trim Select cy_en_syspm_miscldo_vccact_trim_t.

## ◆ cy_stc_syspm_warmboot_entrypoint_t

struct cy_stc_syspm_warmboot_entrypoint_t

Data Fields
uint32_t * | stack_pointer | Stack Pointer.
uint32_t * | entry_pointer | Entry Function Address.

## ◆ cy_stc_syspm_core_buck_params_t

struct cy_stc_syspm_core_buck_params_t

Data Fields
uint8_t | voltageSel | Core Buck Voltage Select cy_en_syspm_core_buck_voltage_t.
uint8_t | mode | Core Buck Mode : 0x01 - Low Power Mode, 0x11 - High Performance mode(Low Ripple Mode)
bool | override | Core Buck Override : Forces Corebuck to use the setting in the PWR_CBUCK_CTL register.
bool | copySettings | Core Buck Copy Settings : Copies the current CBUCK composite state to PWR_CBUCK_CTL register.
bool | useSettings | Core Buck use Settings : Causes the settings in PWR_CBUCK_CTL to be used in CBUCK settings decision.
uint8_t | inRushLimitSel | Core Buck In Rush Limit Selection 0: 10mA limit 1: 100mA limit.

## ◆ cy_stc_syspm_sdr_params_t

struct cy_stc_syspm_sdr_params_t

Data Fields
uint8_t | coreBuckVoltSel | Core Buck Voltage Select cy_en_syspm_core_buck_voltage_t.
uint8_t | coreBuckMode | Core Buck Mode : 0x01 - Low Power Mode, 0x11 - High Performance mode(Low Ripple Mode)
uint8_t | coreBuckDpSlpVoltSel | Deep Sleep Core Buck Voltage Select cy_en_syspm_core_buck_voltage_t.
uint8_t | coreBuckDpSlpMode | Deep sleep Core Buck Mode : 0x01 - Low Power Mode, 0x11 - High Performance mode(Low Ripple Mode)
uint8_t | sdrVoltSel | SDR Regulator Voltage Select cy_en_syspm_sdr_voltage_t.
uint8_t | sdr0DpSlpVoltSel | SDR Regulator Voltage Select cy_en_syspm_sdr_voltage_t.
bool | sdr0Allowbypass | Allow SDR bypass : true - Allow SDR to bypass false - SDR is not bypassed and will regulate.
bool | sdr1HwControl | Allow SDR1 HW Control : true - sdr1Enable(bit: SDR1_ENABLE) is ignored, HW will control false - sdr1Enable(bit: SDR1_ENABLE) will control, HW control is ignored.
bool | sdr1Enable | SDR1 Enable/Disable: true - SDR1 is enabled false - SDR1 is disabled.

## ◆ cy_stc_syspm_hvldo_params_t

struct cy_stc_syspm_hvldo_params_t

Data Fields
uint8_t | voltageSel | HVLDO Voltage Select cy_en_syspm_hvldo_voltage_t.
bool | hwSel | HVLDO HW Select : 0 - HVLDO0_ENABLE controls SDR1,HW controls are ignored 1 - HVLDO0_ENABLE is ignored and HW signal is used instead.
bool | hvldoEnable | HVLDO Enable/Disable: true - HVLDO is enabled false - HVLDO is disabled.

## ◆ cy_stc_syspm_extraReq_params_t

struct cy_stc_syspm_extraReq_params_t

Data Fields
uint8_t | coreBuckVoltSel | Core Buck Voltage Select cy_en_syspm_core_buck_voltage_t.
uint8_t | coreBuckMode | Core Buck Mode : 0x00 - Low Power Mode, 0x10 - Low Ripple(high power)
cy_stc_syspm_sdr_params_t * | sdr0Config | SDR-0 Parameters cy_stc_syspm_sdr_params_t.
cy_stc_syspm_sdr_params_t * | sdr1Config | SDR-1 Parameters cy_stc_syspm_sdr_params_t.